> ## Documentation Index
> Fetch the complete documentation index at: https://docs.layerswap.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Authorize Gasless Deposit

> Submits a signed EIP-3009 authorization for a gasless deposit and starts the paymaster-sponsored deposit workflow.



## OpenAPI

````yaml https://api.layerswap.io/swagger/v2/swagger.json post /api/v2/swaps/{swapId}/authorize
openapi: 3.0.1
info:
  title: Layerswap API V2
  version: v2
servers:
  - url: https://api.layerswap.io
    description: Mainnet
security:
  - X-LS-APIKEY: []
paths:
  /api/v2/swaps/{swapId}/authorize:
    post:
      tags:
        - Swaps
      summary: Authorize Gasless Deposit
      description: >-
        Submits a signed EIP-3009 authorization for a gasless deposit and starts
        the paymaster-sponsored deposit workflow.
      parameters:
        - name: swapId
          in: path
          required: true
          schema:
            type: string
            format: uuid
        - name: X-LS-APIKEY
          in: header
          schema:
            type: string
            default: >-
              NDBxG+aon6WlbgIA2LfwmcbLU52qUL9qTnztTuTRPNSohf/VnxXpRaJlA5uLSQVqP8YGIiy/0mz+mMeZhLY4/Q
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AuthorizeGaslessDepositRequest'
        required: true
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiResponse'
components:
  schemas:
    AuthorizeGaslessDepositRequest:
      type: object
      properties:
        signature:
          type: string
        signer_address:
          type: string
      additionalProperties: false
    ApiResponse:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/ApiError'
      additionalProperties: false
    ApiError:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
        metadata:
          type: object
          additionalProperties: {}
      additionalProperties: false
  securitySchemes:
    X-LS-APIKEY:
      type: apiKey
      name: X-LS-APIKEY
      in: header

````